Question Comment installer Adobe Flash Player?


J'ai eu des problèmes importants en regardant des vidéos Flash sur Ubuntu 64 bits. Est-ce que quelqu'un connaît un bon moyen de faire fonctionner Flash sur la plate-forme?


101
2017-07-28 19:27


origine


@Braiam - cette question et ces réponses sont obsolètes. Une modification dans le titre de la question est nécessaire pour indiquer qu'il est limité aux anciennes versions d'ubuntu - cipricus
@cipricus les réponses doivent être mises à jour. La question est tout à fait valable (à travers peu claire) et n’est pas dépassée, car les gens vont demander comment installer Flash tant qu’un lecteur Adobe Flash est une chose. - Braiam
@Braiam -i je comprends votre point de vue, mais une question plus ancienne comme celle sur Ubuntu 11 ou 12 avec une réponse définitive à haute résolution de la même époque est très peu susceptible d'obtenir de nouvelles réponses. il serait utile à mon avis de changer le titre pour limiter la question à la v.11-12 du système afin que quelqu'un d'autre puisse en demander un nouveau sur les nouveaux systèmes et les nouvelles circonstances liées au flash sans risquer de faire double emploi - cipricus
@cipricus Non, c'est pour ça que les primes sont: Les réponses actuelles sont obsolètes La ou les réponses actuelles sont obsolètes et nécessitent une révision compte tenu des changements récents. Si vous estimez que les réponses sont obsolètes, offrez simplement une prime. Chaque réponse a un en-tête qui indique les versions pour lesquelles appliquer. Comme je l'ai déjà dit, le flash dépend du navigateur et l'OP ne spécifie pas quel navigateur il utilise. - Braiam


Réponses:


Pour 11.04 et plus tôt:

Est-ce que vous l'installez depuis le centre logiciel Ubuntu?

  1. Allez dans Applications-> Ubuntu Software Center.
  2. Cliquez sur Partenaires Canonical
  3. Cliquez sur le plug-in Adobe Flash 11 et cliquez sur installer.

Remarque: c'est la méthode que j'utilise sur mon installation Ubuntu 64 bits et elle ne m'a pas encore fait défaut.

enter image description here


81
2017-07-28 19:31



Même chose ici: installé le plug-in 64 bits par défaut (mais propriétaire) et je n'ai aucun problème. - Little Jawa


Pour 11.10 et plus tard

Lancez Software Center depuis le lanceur et recherchez flash 

Deux entrées seront trouvées. Le premier est le wrapper autour de la version flash 32 bits d'Adobe. La seconde est la version flash 64 bits.

Sélectionnez la deuxième entrée flash - si l'image suivante est affichée, vous n'avez pas encore activé le référentiel de partenaires Canonical.

enter image description here

Cliquez sur Plus d'informations

enter image description here

... et cliquez Utilisez cette source activer le référentiel de partenaires Canonical

enter image description here

voir la fin de cette réponse pour le rapport de bogue

Cliquez sur Installer 

enter image description here

Clique le Installer bouton et entrez votre mot de passe lorsque vous êtes invité. Remarque: vous devez avoir la permission d'installer un logiciel.

enter image description here

L'installation se poursuivra:

enter image description here

Une fois terminé, lancez Firefox et accédez à votre vidéo Flash. Cliquez avec le bouton droit et confirmez que la dernière version de Flash a été installée correctement.

enter image description here

Remarque - les images sont susceptibles de changer - la version 64 bits n’a été récemment emballée que la dernière semaine avant la sortie de Oneiric - Un problème existe actuellement:

  1. https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/870835

Entre-temps, utilisez le premier plug-in 32 bits "Multiverse" dans les images ci-dessus ou utilisez adobe-flashplugin

sudo apt-get install adobe-flashplugin

68
2017-10-09 22:52



Deux choses: premièrement, le nombre entre parenthèses est le nombre de avis, pas la cote (comme vous pouvez le voir, celle que vous avez sélectionnée est inférieur-évalué que l'autre). Deuxièmement, j'utiliserais l'autre, qui est la version 64 bits plutôt que la compatibilité 32 bits. - RAOF
Comme j'essaie toujours d'être aussi paresseux que possible, j'installe toujours le paquet ubuntu-restrictions-extras qui est un méta-package inclut le lecteur flash d'Adobe, entre autres choses utiles. Cette possibilité existait avec les versions antérieures d'ubuntu et fonctionne toujours correctement avec 11.10. - Ewald
Est-ce que le bogue 870835 est toujours valide ou est-ce que tout est réparé, c'est-à-dire que je conserve mon ubuntu 12.04 x64 mis à jour = J'ai le dernier lecteur Flash 64 bits et pas 32 bits? - Bucic
Comment puis-je vérifier si j'ai Ubuntu 64 bits? - Samir
La version alpha actuelle de 13.04 n’a pas de adobe-flashplugin package dans le référentiel Canonical. Peut-être lié à ce? Il y a encore un flashplugin-installer paquet cependant. - Lekensteyn


Voici comment installer Adobe Flash Plugin pour Firefox:

  1. Aller à ce page et sélectionnez l’option .tar.gz pour les autres Linux. Téléchargez le fichier.
  2. Décompressez le plugin tar.gz et copiez les fichiers à l'emplacement approprié.
  3. Enregistrez le plugin tar.gz localement et notez l'emplacement où le fichier a été enregistré.
  4. Lancez le terminal et changez de répertoire à l'emplacement où le fichier a été enregistré.
  5. Décompressez le fichier tar.gz. Une fois déballé, vous verrez ce qui suit:

    • libflashplayer.so
    • / usr
  6. Identifiez l’emplacement du répertoire des plug-ins du navigateur, en fonction de votre distribution Linux et de la version de Firefox. /usr/lib/mozilla/plugins/)
    Pour Ubuntu 14.04 chemin est: /usr/lib/firefox/browser/plugins 

  7. Copie libflashplayer.so dans le répertoire de plug-ins de navigateur approprié. À l'invite, tapez:

    sudo cp libflashplayer.so <BrowserPluginsLocation>
    
  8. Copiez les fichiers de configuration de Flash Player Local Settings dans le répertoire / usr. À l'invite, tapez:

    sudo cp -r usr/* /usr
    
  9. Maintenant, redémarrez votre navigateur.


31
2017-09-04 16:36



le gestionnaire de logiciel montrait installé mais votre méthode a finalement réussi, merci - dhaval
Voulez-vous dire copier le dossier usr dans le nouveau répertoire du lecteur flash vers / usr ou copier le contenu de ce dossier dans / usr? - It's Willem
Il existe également un fichier README qui vous indique comment procéder. C'est dans le fichier .tar.gz. - It's Willem
J'ai suivi votre chemin, maintenant j'ai la dernière version de Flash Player, mais les vidéos youtube ne s'ouvrent toujours pas - developer
@developer La plupart des vidéos Youtube peuvent être lues sans même installer Flash (youtube.com/html5). Je ne suis pas sûr que vos vidéos ne soient pas lues à cause de Flash ou pour une autre raison. Avez-vous redémarré votre navigateur? - ignite


Depuis que vous avez déclaré que c'est la première fois que vous utilisez Ubuntu. Je suggère que vous installez le paquet ubuntu-restricted-extras, cela inclut beaucoup de choses utiles comme Adobe Flash et les codecs et les polices MS, etc.

vous pouvez le faire de plusieurs manières.

centre logiciel: Cliquez sur ce lien:

Install via the software center

ou dans un terminal: type sudo apt-get install ubuntu-restricted-extras

synaptic: recherchez le paquet ubuntu-restricted-extras cliquez avec le bouton droit sur le paquet et sélectionnez installer, puis sélectionnez la marque. après, cliquez sur le bouton Appliquer et tout sera installé.


21
2018-04-02 14:02



va-t-il installer le meilleur lecteur Flash possible pour mon système ou existe-t-il de meilleures versions? Va-t-il installer la version 64 bits? - Bucic


Il existe une solution simple à ce problème.

Ouvrez votre Firefox et allez à Youtube. Cliquez sur n'importe quelle vidéo. Certainement, il ne jouera pas parce que vous n'avez pas de lecteur flash installé. Mais Firefox vous fera la promotion de install missing plug-in au sommet. Cliquez simplement dessus et suivez la procédure. Après cela, votre vidéo commencera à jouer. Assurez-vous d'avoir les dernières Firefox navigateur installé.

Ou essayez ceci dans votre terminal

sudo apt-get install flashplugin-installer

13
2017-09-04 16:38



ce sudo apt-get install installateur-flashplugin fonctionne parfaitement pour moi - leticia


Obtenez mon Flash-Aid extension pour Firefox. Il se chargera de télécharger et d'installer la version appropriée pour votre architecture système et supprimera également les plugins en conflit. Si vous êtes sur 64 bits, il vous permet également d’installer la version de prévisualisation 64 bits, ce qui donne de meilleurs résultats que la version 32 bits avec nspluginwrapper.

BTW, si vous ne pouvez pas copier quoi que ce soit dans le dossier ~ / .mozilla / plugins, vous devriez vérifier la propriété du dossier ~ / .mozilla. Il devrait permettre d'y copier n'importe quoi. Sauf si vous faites référence à un dossier système en dehors de votre répertoire personnel, qui nécessite des privilèges root.


5
2017-12-02 12:40



Je vous remercie!!! Ces réponses doivent être au top pour 12.10 - Pramod
le flash-aid a été enlevé par son auteur - BЈовић
Remets ça ... - It's Willem
Toot bad qu'il a été enlevé! ... - Cristiana Nicolae


Cela dépend du navigateur que vous utilisez. Google Chrome (et non Chrome) dispose de Flash Player par défaut.

Accédez à www.google.com/chrome et cliquez sur Télécharger Chrome Choisissez .deb 64 bits (toute personne lisant ceci à l'aide de machines 32 bits doit sélectionner la .deb 32 bits)

Lorsque vous cliquez sur le fichier .deb lorsqu'il est téléchargé, il s'ouvre dans le Centre de logiciels. Maintenant, cliquez sur installer et quand il est terminé, vous pouvez trouver le navigateur dans Applications -> Internet.


4
2018-04-02 20:00